This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 243522

Summary: Samba printers are not displayed
Product: [Fedora] Fedora Reporter: The Source <thesource>
Component: system-config-printerAssignee: Tim Waugh <twaugh>
Status: CLOSED RAWHIDE QA Contact:
Severity: high Docs Contact:
Priority: low    
Version: 7CC: simon, till.kamppeter
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.7.74.2-1.fc8 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-21 13:46:44 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 235704    

Description The Source 2007-06-09 07:54:44 EDT
Description of problem:
When adding new printer this tool does not display list if samba printers. I can
only set url manually (everything is fine in that case). It sees samba groups
but displays nothing in them.

Version-Release number of selected component (if applicable):
system-config-printer-0.7.63.1-1.fc7

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tim Waugh 2007-06-12 13:26:35 EDT
What output do you get when you run this command?:

python /usr/share/system-config-printer/pysmb.py
Comment 2 The Source 2007-06-13 02:04:58 EDT
{'IP': '192.168.0.2', 'DOMAIN': 'ITPROTECT'}

That's it.
Comment 3 Patrice Vetsel 2007-07-25 04:50:36 EDT
Same problem in Ubuntu look at #127152
(https://bugs.launchpad.net/fedora/+source/system-config-printer/+bug/127152)
for instructions how we solve it for gnome-cups-manager.

kagou@satori:~$ python /usr/share/system-config-printer/pysmb.py
{'IP': '192.168.1.100', 'DOMAIN': 'ENTREPRISE'}


kagou@satori:~$ findsmb 
                                *=DMB
                                +=LMB
IP ADDR         NETBIOS NAME     WORKGROUP/OS/VERSION 
---------------------------------------------------------------------
192.168.1.102   PATRICE        [        ENTREPRISE    ]
192.168.1.103   RENE           [        ENTREPRISE    ]
192.168.1.104   SECRETAIRE     [        ENTREPRISE    ]
192.168.1.105   JEANCLAUDE     [        ENTREPRISE    ]
kagou@satori:~$ 

and doing :
(for i in `export LC_ALL=C; findsmb 2> /dev/null | egrep
'^[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+' | tr -s " " | cut -f2 -d ' ' | uniq | sort`;
do echo $i; echo ---------------; export LC_ALL=C; smbclient -N -L $i 2>
/dev/null | grep Printer; echo; done
)

output :
JEANCLAUDE
---------------

PATRICE
---------------
        HP 1120C A3     Printer   

RENE
---------------

SECRETAIRE
---------------
        EPSON5700       Printer   

kagou@satori:~$ 
Comment 4 Till Kamppeter 2007-08-05 09:41:22 EDT
Patrice, can you run the following commands and post the output here:

smbclient -N -L //192.168.1.100
nmblookup -R 'ENTREPRISE'
nmblookup -A 192.168.1.102
nmblookup -A 192.168.1.103
nmblookup -A 192.168.1.104
nmblookup -A 192.168.1.105

The first one is used by s-c-p and probably will not give any useful output for
you. The second one should give you the IPs of all servers in the domain
"ENTREPRISE" (which are the four IPs of the boxes findsmb has found for you).
The last four commands reveal the NetBIOS names of each of your four boxes.

Does this happen that way? Can you post the output here? With this we will be
able to fix s-c-p.
Comment 5 Till Kamppeter 2007-08-21 15:15:55 EDT
I have done a possible fix in the upstream Subversion repository of
system-config-printer now.
Comment 6 Till Kamppeter 2007-08-27 17:18:31 EDT
My fix was confirmed now and it is part of system-config-printer 0.7.73. This
version will probably soon get RPMized by Tim.
Comment 7 Simon 2007-09-04 19:04:27 EDT
It appears that 0.7.63 has just been released, did you mean that one?
Comment 8 Till Kamppeter 2007-09-04 19:15:47 EDT
The freshly released one with my fix is 0.7.73. If you got 0.7.63 you have an
old release still containing the bug. Perhaps Red Hat packaging did not catch up
yet.
Comment 9 Tim Waugh 2007-09-05 05:59:16 EDT
No, 0.7.63 does not contain that fix.

Please try out this pysmb.py file:
https://bugzilla.redhat.com/show_bug.cgi?id=225351#c7